const postcss = require('postcss')
const { name } = require('./package')

module.exports = (vars = {}, selector = ':root') => {
  return {
    postcssPlugin: name,
    Once (css) {
      css.walk(rule => {
        if (rule.selector === 'html') {
          const rule = postcss.rule({ selector })
          css.prepend(rule.append(vars))
        }
      })

      return css
    }
  }
}

module.exports.postcss = true
